<template>
    <div class="newsletter faq animated fadeInUp">
        <div class="newsletter-lang">
            <a href="#" class="lang__e" :class="{'lang__e--active': lang === locale}"
               v-for="(langData, lang) in locales" @click="locale = lang">
                {{ lang }} <img :src="`/img/${lang}.png`" alt="">
            </a>
        </div>
        <form action="" @submit.prevent="submit">
            <div class="box__input--element">
                <label for="form_question">{{ $t('faq_items.form.question') }}</label>
                <input type="text" id="form_question" v-model="form.question[locale]">
            </div>
            <div class="box__input--element">
                <label for="form_answer">{{ $t('faq_items.form.answer') }}</label>
                <textarea type="text" id="form_answer" v-model="form.answer[locale]"/>
            </div>
            <div class="box__input--element box__input--toggle">
                <label for="form_hidden">{{ $t('faq_items.form.hidden') }}</label>
                <toggle v-model="form.hidden" name="form_hidden"></toggle>
            </div>
            <button class="save" type="submit">{{ $t('faq_items.form.submit') }}</button>
        </form>
    </div>
</template>

<script>
import {mapGetters} from "vuex";

export default {
    name: "FaqForm",
    props: ['item'],
    data() {
        return {
            form: {
                id: this.item ? this.item.id : undefined,
                question: this.item ? this.item.question : '',
                answer: this.item ? this.item.answer : '',
                hidden: this.item ? this.item.hidden : false,
            },
            locale: this.app_locale,
        }
    },
    computed: {
        ...mapGetters({
            locales: 'supportedLocales',
            app_locale: 'locale'
        })
    },
    methods: {
        submit() {
            this.$emit('submit', this.form);
        }
    },
    mounted() {
        this.locale = this.app_locale;
    },
}
</script>

<style scoped lang="scss">
.faq {
    form {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        width: 40%;

        .box__input--element{
            margin-bottom: 30px;
            flex-basis: 100%;
            margin-right: 20%;

            label {
                display: block;
                color: #383838;
                font-size: 14px;
                font-weight: 400;
                line-height: 15px;
                margin-bottom: 15px;
            }
            input {
                outline: none;
                box-shadow: none;
                border: none;
                width: calc(100% - 15px);
                border-radius: 8px;
                background-color: #f5f5f5;
                padding: 10px 0 10px 15px;
                color: #383838;
                font-size: 14px;
                font-weight: 400;
                line-height: 15px;
            }
        }
        .box__input--toggle{
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex-wrap: wrap;
            label {
                margin-bottom: 0;
            }
        }
        textarea {
            margin-bottom: 0;
        }
    }
}
</style>
